> For the complete documentation index, see [llms.txt](https://docs.fulfillmenttools.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fulfillmenttools.com/documentation/apis/api-reference/order-records-doms.md).

# Order Records (DOMS)

Endpoints for managing orders that have already been completed and do not need to participate in the fulfillment lifecycle.

## Get order records configuration

> This part of the API is in Alpha status. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#alpha>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />Get the current configuration for the order records functionality

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints for managing orders that have already been completed and do not need to participate in the fulfillment lifecycle.","name":"Order Records (DOMS)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"OrderRecordsConfiguration":{"description":"This part of the API is in Alpha status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#alpha\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />Configuration for the order records functionality.","properties":{"created":{"description":"Creation timestamp.","format":"date-time","type":"string"},"id":{"description":"Unique identifier of the order record config.","type":"string"},"isOrderRecordsEnabled":{"default":false,"description":"Flag indicating whether order records functionality is enabled.","type":"boolean"},"lastModified":{"description":"Last modification timestamp.","format":"date-time","type":"string"},"version":{"description":"The version of the configuration to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["id","version","isOrderRecordsEnabled"],"title":"OrderRecordsConfiguration","type":"object"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/orderrecords":{"get":{"deprecated":false,"description":"This part of the API is in Alpha status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#alpha\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />Get the current configuration for the order records functionality","operationId":"getOrderRecordsConfiguration","parameters":[],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderRecordsConfiguration"}}},"description":"The order records configuration"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"Get order records configuration","tags":["Order Records (DOMS)"]}}}}
```

## Create or update order records configuration

> This part of the API is in Alpha status. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#alpha>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />Create or update the configuration for the order records functionality.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints for managing orders that have already been completed and do not need to participate in the fulfillment lifecycle.","name":"Order Records (DOMS)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"OrderRecordsConfigurationInput":{"properties":{"isOrderRecordsEnabled":{"default":false,"description":"Flag indicating whether order records functionality is enabled.","type":"boolean"},"version":{"description":"Version number for optimistic locking.","format":"int64","type":"integer"}},"required":["version","isOrderRecordsEnabled"],"title":"OrderRecordsConfigurationInput","type":"object","description":"OrderRecordsConfigurationInput"},"OrderRecordsConfiguration":{"description":"This part of the API is in Alpha status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#alpha\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />Configuration for the order records functionality.","properties":{"created":{"description":"Creation timestamp.","format":"date-time","type":"string"},"id":{"description":"Unique identifier of the order record config.","type":"string"},"isOrderRecordsEnabled":{"default":false,"description":"Flag indicating whether order records functionality is enabled.","type":"boolean"},"lastModified":{"description":"Last modification timestamp.","format":"date-time","type":"string"},"version":{"description":"The version of the configuration to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["id","version","isOrderRecordsEnabled"],"title":"OrderRecordsConfiguration","type":"object"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/orderrecords":{"put":{"deprecated":false,"description":"This part of the API is in Alpha status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#alpha\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />Create or update the configuration for the order records functionality.","operationId":"updateOrderRecordsConfiguration","parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderRecordsConfigurationInput"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderRecordsConfiguration"}}},"description":"The updated order records configuration"},"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderRecordsConfiguration"}}},"description":"The created order records configuration"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Invalid input. See response for details."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"Create or update order records configuration","tags":["Order Records (DOMS)"]}}}}
```

## List order records

> This part of the API is in Alpha status. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#alpha>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />List order records with pagination and optional filters

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints for managing orders that have already been completed and do not need to participate in the fulfillment lifecycle.","name":"Order Records (DOMS)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"OrderRecords":{"properties":{"orderRecords":{"description":"Array of order records","items":{"$ref":"#/components/schemas/OrderRecord"},"maxItems":500,"type":"array"},"total":{"description":"Total number of found entities for this query","type":"number"}},"required":["orderRecords","total"],"title":"OrderRecords","type":"object","description":"OrderRecords"},"OrderRecord":{"properties":{"anonymized":{"description":"Whether consumer data has been anonymized","type":"boolean"},"consumer":{"allOf":[{"$ref":"#/components/schemas/OrderRecordConsumer"}],"description":"Consumer information"},"created":{"description":"Creation timestamp","format":"date-time","type":"string"},"customAttributes":{"description":"Attributes that can be added to this entity. These attributes **cannot** be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.","nullable":true,"type":"object"},"deletionDate":{"description":"Date when the record will be deleted","format":"date-time","type":"string"},"facilityRef":{"description":"Reference to the facility","type":"string"},"gdprCleanupDate":{"description":"Date when GDPR cleanup will occur","format":"date-time","type":"string"},"id":{"description":"Unique identifier of the order record","type":"string"},"lastModified":{"description":"Last modification timestamp","format":"date-time","type":"string"},"lineItems":{"description":"Line items of the order record","items":{"$ref":"#/components/schemas/OrderRecordLineItem"},"maxItems":500,"type":"array"},"orderRecordDate":{"description":"Date of the order record","format":"date-time","type":"string"},"origin":{"allOf":[{"$ref":"#/components/schemas/OrderRecordPosOrigin"}],"description":"Origin of the order record","discriminator":{"mapping":{"POS":"#/components/schemas/OrderRecordPosOrigin"},"propertyName":"type"},"oneOf":[{"$ref":"#/components/schemas/OrderRecordPosOrigin"}]},"payments":{"description":"Payment information","items":{"$ref":"#/components/schemas/OrderRecordPayment"},"maxItems":100,"type":"array"},"pricing":{"allOf":[{"$ref":"#/components/schemas/OrderRecordPricing"}],"description":"Pricing information including calculated totals"},"tenantOrderRecordId":{"description":"Tenant-specific order record identifier","type":"string"},"version":{"description":"Version number for optimistic locking","type":"integer"}},"required":["orderRecordDate","facilityRef","lineItems","id","version","created","lastModified","anonymized","gdprCleanupDate","deletionDate"],"title":"OrderRecord","type":"object","description":"OrderRecord"},"OrderRecordConsumer":{"properties":{"addresses":{"description":"Addresses of the consumer","items":{"$ref":"#/components/schemas/OrderRecordAddress"},"maxItems":10,"type":"array"},"consumerId":{"description":"Consumer identifier","type":"string"},"email":{"description":"Email address of the consumer","type":"string"}},"title":"OrderRecordConsumer","type":"object","description":"OrderRecordConsumer"},"OrderRecordAddress":{"properties":{"additionalAddressInfo":{"description":"Additional address information","type":"string"},"city":{"description":"City","type":"string"},"companyName":{"description":"Company name","type":"string"},"country":{"description":"Country","type":"string"},"firstName":{"description":"First name","type":"string"},"houseNumber":{"description":"House number","type":"string"},"lastName":{"description":"Last name","type":"string"},"postalCode":{"description":"Postal code","type":"string"},"province":{"description":"Province or state","type":"string"},"street":{"description":"Street","type":"string"}},"title":"OrderRecordAddress","type":"object","description":"OrderRecordAddress"},"OrderRecordLineItem":{"properties":{"article":{"allOf":[{"$ref":"#/components/schemas/OrderRecordLineItemArticle"}],"description":"Article information"},"customAttributes":{"description":"Attributes that can be added to this entity. These attributes **cannot** be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.","nullable":true,"type":"object"},"id":{"description":"Unique identifier of the line item","type":"string"},"measurementUnitKey":{"description":"Measurement unit key","type":"string"},"quantity":{"description":"Quantity of the line item","type":"number"},"returnPolicy":{"allOf":[{"$ref":"#/components/schemas/OrderRecordLineItemReturnPolicy"}],"description":"Return policy information"},"warranty":{"allOf":[{"$ref":"#/components/schemas/OrderRecordLineItemWarranty"}],"description":"Warranty information"}},"required":["article","quantity","id"],"title":"OrderRecordLineItem","type":"object","description":"OrderRecordLineItem"},"OrderRecordLineItemArticle":{"properties":{"attributes":{"description":"Article attributes","items":{"$ref":"#/components/schemas/OrderRecordArticleAttributeItem"},"maxItems":100,"type":"array"},"tenantArticleId":{"description":"Tenant-specific article identifier","type":"string"},"title":{"description":"Title of the article","type":"string"}},"required":["tenantArticleId","attributes"],"title":"OrderRecordLineItemArticle","type":"object","description":"OrderRecordLineItemArticle"},"OrderRecordArticleAttributeItem":{"properties":{"valueLocalized":{"description":"Localized value of the attribute","type":"object"},"keyLocalized":{"description":"Localized key of the attribute","type":"object"},"category":{"description":"Category of the attribute. Supports both standard article attribute categories and pricing-specific categories.","enum":["descriptive","miscellaneous","pickingSequence","customs","insurance","shop","dimensions","carrierService","salesPrice","basePrice","tax","discount","surcharge","subtotalBeforeDiscounts","subtotalAfterDiscounts","finalUnitPrice","finalLineItemPrice"],"type":"string"},"key":{"description":"The key of the attribute","minLength":1,"type":"string"},"priority":{"description":"Priority of the attribute","type":"integer"},"type":{"description":"The type of the attribute","enum":["STRING","NUMBER","CURRENCY","BOOLEAN"],"type":"string"},"value":{"description":"The value of the attribute","minLength":1,"type":"string"}},"required":["key","value"],"title":"OrderRecordArticleAttributeItem","type":"object","description":"OrderRecordArticleAttributeItem"},"OrderRecordLineItemReturnPolicy":{"properties":{"isReturnable":{"description":"Whether the item is returnable","type":"boolean"},"returnWindowEndDate":{"description":"End date of the return window","format":"date-time","type":"string"}},"title":"OrderRecordLineItemReturnPolicy","type":"object","description":"OrderRecordLineItemReturnPolicy"},"OrderRecordLineItemWarranty":{"properties":{"warrantyPeriod":{"description":"Warranty period (e.g. ISO 8601 duration)","pattern":"^-?P(?:(\\d+W)|(\\d+Y)?(\\d+M)?(\\d+D)?(?:T(\\d+H)?(\\d+M)?(\\d+S)?)?)$","type":"string"},"warrantyStartDate":{"description":"Start date of the warranty","format":"date-time","type":"string"}},"title":"OrderRecordLineItemWarranty","type":"object","description":"OrderRecordLineItemWarranty"},"OrderRecordPosOrigin":{"properties":{"cashierId":{"description":"Cashier identifier","type":"string"},"terminalId":{"description":"Terminal identifier","type":"string"},"type":{"description":"Discriminator for POS origin","enum":["POS"],"type":"string"}},"required":["type"],"title":"OrderRecordPosOrigin","type":"object","description":"OrderRecordPosOrigin"},"OrderRecordPayment":{"properties":{"paymentMethod":{"description":"Payment method identifier","type":"string"},"receiptNumber":{"description":"Receipt number","type":"string"},"status":{"description":"Status of the payment","enum":["COMPLETED","FAILED","CANCELLED","REFUNDED","PARTIALLY_REFUNDED"],"type":"string"},"taxValue":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Tax portion of the payment value"},"transactionId":{"description":"Transaction identifier","type":"string"},"value":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Payment value"}},"required":["value"],"title":"OrderRecordPayment","type":"object","description":"OrderRecordPayment"},"OrderRecordMonetaryValue":{"properties":{"currency":{"description":"ISO 4217 currency code","enum":["AED","AFN","ALL","AMD","ANG","AOA","ARS","AUD","AWG","AZN","BAM","BBD","BDT","BGN","BHD","BIF","BMD","BND","BOB","BOV","BRL","BSD","BTN","BWP","BYN","BZD","CAD","CDF","CHE","CHF","CHW","CLF","CLP","CNY","COP","COU","CRC","CUC","CUP","CVE","CZK","DJF","DKK","DOP","DZD","EGP","ERN","ETB","EUR","FJD","FKP","GBP","GEL","GHS","GIP","GMD","GNF","GTQ","GYD","HKD","HNL","HTG","HUF","IDR","ILS","INR","IQD","IRR","ISK","JMD","JOD","JPY","KES","KGS","KHR","KMF","KPW","KRW","KWD","KYD","KZT","LAK","LBP","LKR","LRD","LSL","LYD","MAD","MDL","MGA","MKD","MMK","MNT","MOP","MRU","MUR","MVR","MWK","MXN","MXV","MYR","MZN","NAD","NGN","NIO","NOK","NPR","NZD","OMR","PAB","PEN","PGK","PHP","PKR","PLN","PYG","QAR","RON","RSD","RUB","RWF","SAR","SBD","SCR","SDG","SEK","SGD","SHP","SLE","SOS","SRD","SSP","STN","SVC","SYP","SZL","THB","TJS","TMT","TND","TOP","TRY","TTD","TWD","TZS","UAH","UGX","USD","USN","UYI","UYU","UYW","UZS","VED","VES","VND","VUV","WST","XAF","XAG","XAU","XBA","XBB","XBC","XBD","XCD","XDR","XOF","XPD","XPF","XPT","XSU","XTS","XUA","XXX","YER","ZAR","ZMW","ZWL"],"type":"string"},"decimalPlaces":{"description":"Number of decimal places (defaults to currency standard)","type":"integer"},"value":{"description":"The monetary value as integer","type":"integer"}},"required":["value","currency"],"title":"OrderRecordMonetaryValue","type":"object","description":"OrderRecordMonetaryValue"},"OrderRecordPricing":{"properties":{"discounts":{"description":"Discounts applied to the order","items":{"$ref":"#/components/schemas/OrderRecordDiscount"},"maxItems":100,"type":"array"},"fees":{"description":"Fees applied to the order","items":{"$ref":"#/components/schemas/OrderRecordFee"},"maxItems":100,"type":"array"},"taxes":{"description":"Tax breakdown","items":{"$ref":"#/components/schemas/OrderRecordTax"},"maxItems":100,"type":"array"},"total":{"allOf":[{"$ref":"#/components/schemas/OrderRecordPricingTotal"}],"description":"Calculated totals"}},"title":"OrderRecordPricing","type":"object","description":"OrderRecordPricing"},"OrderRecordDiscount":{"properties":{"nameLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleStringConstrained"}],"description":"Localized name of the discount"},"code":{"description":"Discount code","type":"string"},"context":{"description":"Context of the discount","type":"string"},"name":{"description":"Name of the discount","type":"string"},"tenantDiscountId":{"description":"Tenant-specific discount identifier","type":"string"},"type":{"description":"Discount type","type":"string"},"value":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Discount value"}},"required":["value"],"title":"OrderRecordDiscount","type":"object","description":"OrderRecordDiscount"},"LocaleStringConstrained":{"properties":{},"title":"LocaleStringConstrained","type":"object","description":"LocaleStringConstrained"},"OrderRecordFee":{"properties":{"name":{"description":"Name of the fee","type":"string"},"value":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Fee value"}},"title":"OrderRecordFee","type":"object","description":"OrderRecordFee"},"OrderRecordTax":{"properties":{"ratePercent":{"description":"Tax rate as a percentage","format":"float","type":"number"},"scope":{"description":"Tax scope","type":"string"},"taxableValue":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"The taxable base value"},"type":{"description":"Tax type identifier","type":"string"},"value":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Tax value"}},"required":["value"],"title":"OrderRecordTax","type":"object","description":"OrderRecordTax"},"OrderRecordPricingTotal":{"properties":{"priceBreakdown":{"allOf":[{"$ref":"#/components/schemas/OrderRecordTotals"}],"description":"Calculated price breakdown"}},"title":"OrderRecordPricingTotal","type":"object","description":"OrderRecordPricingTotal"},"OrderRecordTotals":{"properties":{"subTotal":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Subtotal before discounts, taxes, and fees","nullable":true,"type":"object"},"total":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Grand total","nullable":true,"type":"object"},"totalDiscounts":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Total discounts applied","nullable":true,"type":"object"},"totalFees":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Total fees","nullable":true,"type":"object"},"totalTaxes":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Total taxes","nullable":true,"type":"object"}},"required":["subTotal","totalDiscounts","totalTaxes","totalFees","total"],"title":"OrderRecordTotals","type":"object","description":"OrderRecordTotals"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/orderrecords":{"get":{"deprecated":false,"description":"This part of the API is in Alpha status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#alpha\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />List order records with pagination and optional filters","operationId":"listOrderRecords","parameters":[{"in":"query","name":"startAfterId","required":false,"schema":{"type":"string"}},{"in":"query","name":"size","required":false,"schema":{"maximum":500,"type":"number"}},{"in":"query","name":"facilityRef","required":false,"schema":{"type":"string"}},{"in":"query","name":"tenantOrderRecordId","required":false,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderRecords"}}},"description":"The order records that were found based on the given filters."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Invalid input. See response for details."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"List order records","tags":["Order Records (DOMS)"]}}}}
```

## Bulk create order records

> This part of the API is in Alpha status. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#alpha>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />Create multiple order records in a single request (max 25)

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints for managing orders that have already been completed and do not need to participate in the fulfillment lifecycle.","name":"Order Records (DOMS)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"OrderRecordBulkOperations":{"properties":{"operations":{"description":"Array of order record creation operations","items":{"$ref":"#/components/schemas/OrderRecordForCreation"},"maxItems":25,"minItems":1,"type":"array"}},"required":["operations"],"title":"OrderRecordBulkOperations","type":"object","description":"OrderRecordBulkOperations"},"OrderRecordForCreation":{"properties":{"consumer":{"allOf":[{"$ref":"#/components/schemas/OrderRecordConsumer"}],"description":"Consumer information"},"customAttributes":{"description":"Attributes that can be added to this entity. These attributes **cannot** be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.","nullable":true,"type":"object"},"facilityRef":{"description":"Reference to the facility","type":"string"},"lineItems":{"description":"Line items of the order record","items":{"$ref":"#/components/schemas/OrderRecordLineItemForCreation"},"maxItems":500,"type":"array"},"orderRecordDate":{"description":"Date of the order record","format":"date-time","type":"string"},"origin":{"allOf":[{"$ref":"#/components/schemas/OrderRecordPosOrigin"}],"description":"Origin of the order record","discriminator":{"mapping":{"POS":"#/components/schemas/OrderRecordPosOrigin"},"propertyName":"type"},"oneOf":[{"$ref":"#/components/schemas/OrderRecordPosOrigin"}]},"payments":{"description":"Payment information","items":{"$ref":"#/components/schemas/OrderRecordPayment"},"maxItems":100,"type":"array"},"pricing":{"allOf":[{"$ref":"#/components/schemas/OrderRecordPricingForCreation"}],"description":"Pricing information for the order record"},"tenantOrderRecordId":{"description":"Tenant-specific order record identifier","type":"string"}},"required":["orderRecordDate","facilityRef","lineItems"],"title":"OrderRecordForCreation","type":"object","description":"OrderRecordForCreation"},"OrderRecordConsumer":{"properties":{"addresses":{"description":"Addresses of the consumer","items":{"$ref":"#/components/schemas/OrderRecordAddress"},"maxItems":10,"type":"array"},"consumerId":{"description":"Consumer identifier","type":"string"},"email":{"description":"Email address of the consumer","type":"string"}},"title":"OrderRecordConsumer","type":"object","description":"OrderRecordConsumer"},"OrderRecordAddress":{"properties":{"additionalAddressInfo":{"description":"Additional address information","type":"string"},"city":{"description":"City","type":"string"},"companyName":{"description":"Company name","type":"string"},"country":{"description":"Country","type":"string"},"firstName":{"description":"First name","type":"string"},"houseNumber":{"description":"House number","type":"string"},"lastName":{"description":"Last name","type":"string"},"postalCode":{"description":"Postal code","type":"string"},"province":{"description":"Province or state","type":"string"},"street":{"description":"Street","type":"string"}},"title":"OrderRecordAddress","type":"object","description":"OrderRecordAddress"},"OrderRecordLineItemForCreation":{"properties":{"article":{"allOf":[{"$ref":"#/components/schemas/OrderRecordLineItemArticle"}],"description":"Article information"},"customAttributes":{"description":"Attributes that can be added to this entity. These attributes **cannot** be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.","nullable":true,"type":"object"},"measurementUnitKey":{"description":"Measurement unit key","type":"string"},"quantity":{"description":"Quantity of the line item","type":"number"},"returnPolicy":{"allOf":[{"$ref":"#/components/schemas/OrderRecordLineItemReturnPolicy"}],"description":"Return policy information"},"warranty":{"allOf":[{"$ref":"#/components/schemas/OrderRecordLineItemWarranty"}],"description":"Warranty information"}},"required":["article","quantity"],"title":"OrderRecordLineItemForCreation","type":"object","description":"OrderRecordLineItemForCreation"},"OrderRecordLineItemArticle":{"properties":{"attributes":{"description":"Article attributes","items":{"$ref":"#/components/schemas/OrderRecordArticleAttributeItem"},"maxItems":100,"type":"array"},"tenantArticleId":{"description":"Tenant-specific article identifier","type":"string"},"title":{"description":"Title of the article","type":"string"}},"required":["tenantArticleId","attributes"],"title":"OrderRecordLineItemArticle","type":"object","description":"OrderRecordLineItemArticle"},"OrderRecordArticleAttributeItem":{"properties":{"valueLocalized":{"description":"Localized value of the attribute","type":"object"},"keyLocalized":{"description":"Localized key of the attribute","type":"object"},"category":{"description":"Category of the attribute. Supports both standard article attribute categories and pricing-specific categories.","enum":["descriptive","miscellaneous","pickingSequence","customs","insurance","shop","dimensions","carrierService","salesPrice","basePrice","tax","discount","surcharge","subtotalBeforeDiscounts","subtotalAfterDiscounts","finalUnitPrice","finalLineItemPrice"],"type":"string"},"key":{"description":"The key of the attribute","minLength":1,"type":"string"},"priority":{"description":"Priority of the attribute","type":"integer"},"type":{"description":"The type of the attribute","enum":["STRING","NUMBER","CURRENCY","BOOLEAN"],"type":"string"},"value":{"description":"The value of the attribute","minLength":1,"type":"string"}},"required":["key","value"],"title":"OrderRecordArticleAttributeItem","type":"object","description":"OrderRecordArticleAttributeItem"},"OrderRecordLineItemReturnPolicy":{"properties":{"isReturnable":{"description":"Whether the item is returnable","type":"boolean"},"returnWindowEndDate":{"description":"End date of the return window","format":"date-time","type":"string"}},"title":"OrderRecordLineItemReturnPolicy","type":"object","description":"OrderRecordLineItemReturnPolicy"},"OrderRecordLineItemWarranty":{"properties":{"warrantyPeriod":{"description":"Warranty period (e.g. ISO 8601 duration)","pattern":"^-?P(?:(\\d+W)|(\\d+Y)?(\\d+M)?(\\d+D)?(?:T(\\d+H)?(\\d+M)?(\\d+S)?)?)$","type":"string"},"warrantyStartDate":{"description":"Start date of the warranty","format":"date-time","type":"string"}},"title":"OrderRecordLineItemWarranty","type":"object","description":"OrderRecordLineItemWarranty"},"OrderRecordPosOrigin":{"properties":{"cashierId":{"description":"Cashier identifier","type":"string"},"terminalId":{"description":"Terminal identifier","type":"string"},"type":{"description":"Discriminator for POS origin","enum":["POS"],"type":"string"}},"required":["type"],"title":"OrderRecordPosOrigin","type":"object","description":"OrderRecordPosOrigin"},"OrderRecordPayment":{"properties":{"paymentMethod":{"description":"Payment method identifier","type":"string"},"receiptNumber":{"description":"Receipt number","type":"string"},"status":{"description":"Status of the payment","enum":["COMPLETED","FAILED","CANCELLED","REFUNDED","PARTIALLY_REFUNDED"],"type":"string"},"taxValue":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Tax portion of the payment value"},"transactionId":{"description":"Transaction identifier","type":"string"},"value":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Payment value"}},"required":["value"],"title":"OrderRecordPayment","type":"object","description":"OrderRecordPayment"},"OrderRecordMonetaryValue":{"properties":{"currency":{"description":"ISO 4217 currency code","enum":["AED","AFN","ALL","AMD","ANG","AOA","ARS","AUD","AWG","AZN","BAM","BBD","BDT","BGN","BHD","BIF","BMD","BND","BOB","BOV","BRL","BSD","BTN","BWP","BYN","BZD","CAD","CDF","CHE","CHF","CHW","CLF","CLP","CNY","COP","COU","CRC","CUC","CUP","CVE","CZK","DJF","DKK","DOP","DZD","EGP","ERN","ETB","EUR","FJD","FKP","GBP","GEL","GHS","GIP","GMD","GNF","GTQ","GYD","HKD","HNL","HTG","HUF","IDR","ILS","INR","IQD","IRR","ISK","JMD","JOD","JPY","KES","KGS","KHR","KMF","KPW","KRW","KWD","KYD","KZT","LAK","LBP","LKR","LRD","LSL","LYD","MAD","MDL","MGA","MKD","MMK","MNT","MOP","MRU","MUR","MVR","MWK","MXN","MXV","MYR","MZN","NAD","NGN","NIO","NOK","NPR","NZD","OMR","PAB","PEN","PGK","PHP","PKR","PLN","PYG","QAR","RON","RSD","RUB","RWF","SAR","SBD","SCR","SDG","SEK","SGD","SHP","SLE","SOS","SRD","SSP","STN","SVC","SYP","SZL","THB","TJS","TMT","TND","TOP","TRY","TTD","TWD","TZS","UAH","UGX","USD","USN","UYI","UYU","UYW","UZS","VED","VES","VND","VUV","WST","XAF","XAG","XAU","XBA","XBB","XBC","XBD","XCD","XDR","XOF","XPD","XPF","XPT","XSU","XTS","XUA","XXX","YER","ZAR","ZMW","ZWL"],"type":"string"},"decimalPlaces":{"description":"Number of decimal places (defaults to currency standard)","type":"integer"},"value":{"description":"The monetary value as integer","type":"integer"}},"required":["value","currency"],"title":"OrderRecordMonetaryValue","type":"object","description":"OrderRecordMonetaryValue"},"OrderRecordPricingForCreation":{"properties":{"discounts":{"description":"Discounts applied to the order","items":{"$ref":"#/components/schemas/OrderRecordDiscount"},"maxItems":100,"type":"array"},"fees":{"description":"Fees applied to the order","items":{"$ref":"#/components/schemas/OrderRecordFee"},"maxItems":100,"type":"array"},"taxes":{"description":"Tax breakdown","items":{"$ref":"#/components/schemas/OrderRecordTax"},"maxItems":100,"type":"array"}},"title":"OrderRecordPricingForCreation","type":"object","description":"OrderRecordPricingForCreation"},"OrderRecordDiscount":{"properties":{"nameLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleStringConstrained"}],"description":"Localized name of the discount"},"code":{"description":"Discount code","type":"string"},"context":{"description":"Context of the discount","type":"string"},"name":{"description":"Name of the discount","type":"string"},"tenantDiscountId":{"description":"Tenant-specific discount identifier","type":"string"},"type":{"description":"Discount type","type":"string"},"value":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Discount value"}},"required":["value"],"title":"OrderRecordDiscount","type":"object","description":"OrderRecordDiscount"},"LocaleStringConstrained":{"properties":{},"title":"LocaleStringConstrained","type":"object","description":"LocaleStringConstrained"},"OrderRecordFee":{"properties":{"name":{"description":"Name of the fee","type":"string"},"value":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Fee value"}},"title":"OrderRecordFee","type":"object","description":"OrderRecordFee"},"OrderRecordTax":{"properties":{"ratePercent":{"description":"Tax rate as a percentage","format":"float","type":"number"},"scope":{"description":"Tax scope","type":"string"},"taxableValue":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"The taxable base value"},"type":{"description":"Tax type identifier","type":"string"},"value":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Tax value"}},"required":["value"],"title":"OrderRecordTax","type":"object","description":"OrderRecordTax"},"OrderRecordBulkOperationsResponse":{"properties":{"details":{"description":"Per-item results of the bulk operation","items":{"$ref":"#/components/schemas/OrderRecordBulkOperationResult"},"maxItems":25,"type":"array"},"summary":{"allOf":[{"$ref":"#/components/schemas/OrderRecordBulkOperationsSummary"}],"description":"Summary of the bulk operation"}},"required":["summary","details"],"title":"OrderRecordBulkOperationsResponse","type":"object","description":"OrderRecordBulkOperationsResponse"},"OrderRecordBulkOperationResult":{"properties":{"error":{"allOf":[{"$ref":"#/components/schemas/OrderRecordBulkOperationError"}],"description":"Error details if the operation failed"},"orderRecord":{"allOf":[{"$ref":"#/components/schemas/OrderRecord"}],"description":"The created order record"},"status":{"description":"Status of the bulk operation","enum":["CREATED","FAILED","UNCHANGED"],"type":"string"}},"required":["status"],"title":"OrderRecordBulkOperationResult","type":"object","description":"OrderRecordBulkOperationResult"},"OrderRecordBulkOperationError":{"properties":{"message":{"description":"Error message","type":"string"},"type":{"description":"Error type","enum":["VALIDATION","UNKNOWN"],"type":"string"}},"required":["type","message"],"title":"OrderRecordBulkOperationError","type":"object","description":"OrderRecordBulkOperationError"},"OrderRecord":{"properties":{"anonymized":{"description":"Whether consumer data has been anonymized","type":"boolean"},"consumer":{"allOf":[{"$ref":"#/components/schemas/OrderRecordConsumer"}],"description":"Consumer information"},"created":{"description":"Creation timestamp","format":"date-time","type":"string"},"customAttributes":{"description":"Attributes that can be added to this entity. These attributes **cannot** be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.","nullable":true,"type":"object"},"deletionDate":{"description":"Date when the record will be deleted","format":"date-time","type":"string"},"facilityRef":{"description":"Reference to the facility","type":"string"},"gdprCleanupDate":{"description":"Date when GDPR cleanup will occur","format":"date-time","type":"string"},"id":{"description":"Unique identifier of the order record","type":"string"},"lastModified":{"description":"Last modification timestamp","format":"date-time","type":"string"},"lineItems":{"description":"Line items of the order record","items":{"$ref":"#/components/schemas/OrderRecordLineItem"},"maxItems":500,"type":"array"},"orderRecordDate":{"description":"Date of the order record","format":"date-time","type":"string"},"origin":{"allOf":[{"$ref":"#/components/schemas/OrderRecordPosOrigin"}],"description":"Origin of the order record","discriminator":{"mapping":{"POS":"#/components/schemas/OrderRecordPosOrigin"},"propertyName":"type"},"oneOf":[{"$ref":"#/components/schemas/OrderRecordPosOrigin"}]},"payments":{"description":"Payment information","items":{"$ref":"#/components/schemas/OrderRecordPayment"},"maxItems":100,"type":"array"},"pricing":{"allOf":[{"$ref":"#/components/schemas/OrderRecordPricing"}],"description":"Pricing information including calculated totals"},"tenantOrderRecordId":{"description":"Tenant-specific order record identifier","type":"string"},"version":{"description":"Version number for optimistic locking","type":"integer"}},"required":["orderRecordDate","facilityRef","lineItems","id","version","created","lastModified","anonymized","gdprCleanupDate","deletionDate"],"title":"OrderRecord","type":"object","description":"OrderRecord"},"OrderRecordLineItem":{"properties":{"article":{"allOf":[{"$ref":"#/components/schemas/OrderRecordLineItemArticle"}],"description":"Article information"},"customAttributes":{"description":"Attributes that can be added to this entity. These attributes **cannot** be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.","nullable":true,"type":"object"},"id":{"description":"Unique identifier of the line item","type":"string"},"measurementUnitKey":{"description":"Measurement unit key","type":"string"},"quantity":{"description":"Quantity of the line item","type":"number"},"returnPolicy":{"allOf":[{"$ref":"#/components/schemas/OrderRecordLineItemReturnPolicy"}],"description":"Return policy information"},"warranty":{"allOf":[{"$ref":"#/components/schemas/OrderRecordLineItemWarranty"}],"description":"Warranty information"}},"required":["article","quantity","id"],"title":"OrderRecordLineItem","type":"object","description":"OrderRecordLineItem"},"OrderRecordPricing":{"properties":{"discounts":{"description":"Discounts applied to the order","items":{"$ref":"#/components/schemas/OrderRecordDiscount"},"maxItems":100,"type":"array"},"fees":{"description":"Fees applied to the order","items":{"$ref":"#/components/schemas/OrderRecordFee"},"maxItems":100,"type":"array"},"taxes":{"description":"Tax breakdown","items":{"$ref":"#/components/schemas/OrderRecordTax"},"maxItems":100,"type":"array"},"total":{"allOf":[{"$ref":"#/components/schemas/OrderRecordPricingTotal"}],"description":"Calculated totals"}},"title":"OrderRecordPricing","type":"object","description":"OrderRecordPricing"},"OrderRecordPricingTotal":{"properties":{"priceBreakdown":{"allOf":[{"$ref":"#/components/schemas/OrderRecordTotals"}],"description":"Calculated price breakdown"}},"title":"OrderRecordPricingTotal","type":"object","description":"OrderRecordPricingTotal"},"OrderRecordTotals":{"properties":{"subTotal":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Subtotal before discounts, taxes, and fees","nullable":true,"type":"object"},"total":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Grand total","nullable":true,"type":"object"},"totalDiscounts":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Total discounts applied","nullable":true,"type":"object"},"totalFees":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Total fees","nullable":true,"type":"object"},"totalTaxes":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Total taxes","nullable":true,"type":"object"}},"required":["subTotal","totalDiscounts","totalTaxes","totalFees","total"],"title":"OrderRecordTotals","type":"object","description":"OrderRecordTotals"},"OrderRecordBulkOperationsSummary":{"properties":{"created":{"description":"Number of order records created","type":"integer"},"unchanged":{"description":"Number of order records unchanged","type":"integer"},"updated":{"description":"Number of order records updated","type":"integer"}},"required":["created","updated","unchanged"],"title":"OrderRecordBulkOperationsSummary","type":"object","description":"OrderRecordBulkOperationsSummary"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/orderrecords":{"put":{"deprecated":false,"description":"This part of the API is in Alpha status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#alpha\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />Create multiple order records in a single request (max 25)","operationId":"bulkCreateOrderRecords","parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderRecordBulkOperations"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderRecordBulkOperationsResponse"}}},"description":"The order records have been successfully created."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Invalid input. See response for details."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"The requested entity was not found"}},"summary":"Bulk create order records","tags":["Order Records (DOMS)"]}}}}
```

## Get an order record

> This part of the API is in Alpha status. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#alpha>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />Get a single order record by id

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints for managing orders that have already been completed and do not need to participate in the fulfillment lifecycle.","name":"Order Records (DOMS)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"OrderRecord":{"properties":{"anonymized":{"description":"Whether consumer data has been anonymized","type":"boolean"},"consumer":{"allOf":[{"$ref":"#/components/schemas/OrderRecordConsumer"}],"description":"Consumer information"},"created":{"description":"Creation timestamp","format":"date-time","type":"string"},"customAttributes":{"description":"Attributes that can be added to this entity. These attributes **cannot** be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.","nullable":true,"type":"object"},"deletionDate":{"description":"Date when the record will be deleted","format":"date-time","type":"string"},"facilityRef":{"description":"Reference to the facility","type":"string"},"gdprCleanupDate":{"description":"Date when GDPR cleanup will occur","format":"date-time","type":"string"},"id":{"description":"Unique identifier of the order record","type":"string"},"lastModified":{"description":"Last modification timestamp","format":"date-time","type":"string"},"lineItems":{"description":"Line items of the order record","items":{"$ref":"#/components/schemas/OrderRecordLineItem"},"maxItems":500,"type":"array"},"orderRecordDate":{"description":"Date of the order record","format":"date-time","type":"string"},"origin":{"allOf":[{"$ref":"#/components/schemas/OrderRecordPosOrigin"}],"description":"Origin of the order record","discriminator":{"mapping":{"POS":"#/components/schemas/OrderRecordPosOrigin"},"propertyName":"type"},"oneOf":[{"$ref":"#/components/schemas/OrderRecordPosOrigin"}]},"payments":{"description":"Payment information","items":{"$ref":"#/components/schemas/OrderRecordPayment"},"maxItems":100,"type":"array"},"pricing":{"allOf":[{"$ref":"#/components/schemas/OrderRecordPricing"}],"description":"Pricing information including calculated totals"},"tenantOrderRecordId":{"description":"Tenant-specific order record identifier","type":"string"},"version":{"description":"Version number for optimistic locking","type":"integer"}},"required":["orderRecordDate","facilityRef","lineItems","id","version","created","lastModified","anonymized","gdprCleanupDate","deletionDate"],"title":"OrderRecord","type":"object","description":"OrderRecord"},"OrderRecordConsumer":{"properties":{"addresses":{"description":"Addresses of the consumer","items":{"$ref":"#/components/schemas/OrderRecordAddress"},"maxItems":10,"type":"array"},"consumerId":{"description":"Consumer identifier","type":"string"},"email":{"description":"Email address of the consumer","type":"string"}},"title":"OrderRecordConsumer","type":"object","description":"OrderRecordConsumer"},"OrderRecordAddress":{"properties":{"additionalAddressInfo":{"description":"Additional address information","type":"string"},"city":{"description":"City","type":"string"},"companyName":{"description":"Company name","type":"string"},"country":{"description":"Country","type":"string"},"firstName":{"description":"First name","type":"string"},"houseNumber":{"description":"House number","type":"string"},"lastName":{"description":"Last name","type":"string"},"postalCode":{"description":"Postal code","type":"string"},"province":{"description":"Province or state","type":"string"},"street":{"description":"Street","type":"string"}},"title":"OrderRecordAddress","type":"object","description":"OrderRecordAddress"},"OrderRecordLineItem":{"properties":{"article":{"allOf":[{"$ref":"#/components/schemas/OrderRecordLineItemArticle"}],"description":"Article information"},"customAttributes":{"description":"Attributes that can be added to this entity. These attributes **cannot** be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.","nullable":true,"type":"object"},"id":{"description":"Unique identifier of the line item","type":"string"},"measurementUnitKey":{"description":"Measurement unit key","type":"string"},"quantity":{"description":"Quantity of the line item","type":"number"},"returnPolicy":{"allOf":[{"$ref":"#/components/schemas/OrderRecordLineItemReturnPolicy"}],"description":"Return policy information"},"warranty":{"allOf":[{"$ref":"#/components/schemas/OrderRecordLineItemWarranty"}],"description":"Warranty information"}},"required":["article","quantity","id"],"title":"OrderRecordLineItem","type":"object","description":"OrderRecordLineItem"},"OrderRecordLineItemArticle":{"properties":{"attributes":{"description":"Article attributes","items":{"$ref":"#/components/schemas/OrderRecordArticleAttributeItem"},"maxItems":100,"type":"array"},"tenantArticleId":{"description":"Tenant-specific article identifier","type":"string"},"title":{"description":"Title of the article","type":"string"}},"required":["tenantArticleId","attributes"],"title":"OrderRecordLineItemArticle","type":"object","description":"OrderRecordLineItemArticle"},"OrderRecordArticleAttributeItem":{"properties":{"valueLocalized":{"description":"Localized value of the attribute","type":"object"},"keyLocalized":{"description":"Localized key of the attribute","type":"object"},"category":{"description":"Category of the attribute. Supports both standard article attribute categories and pricing-specific categories.","enum":["descriptive","miscellaneous","pickingSequence","customs","insurance","shop","dimensions","carrierService","salesPrice","basePrice","tax","discount","surcharge","subtotalBeforeDiscounts","subtotalAfterDiscounts","finalUnitPrice","finalLineItemPrice"],"type":"string"},"key":{"description":"The key of the attribute","minLength":1,"type":"string"},"priority":{"description":"Priority of the attribute","type":"integer"},"type":{"description":"The type of the attribute","enum":["STRING","NUMBER","CURRENCY","BOOLEAN"],"type":"string"},"value":{"description":"The value of the attribute","minLength":1,"type":"string"}},"required":["key","value"],"title":"OrderRecordArticleAttributeItem","type":"object","description":"OrderRecordArticleAttributeItem"},"OrderRecordLineItemReturnPolicy":{"properties":{"isReturnable":{"description":"Whether the item is returnable","type":"boolean"},"returnWindowEndDate":{"description":"End date of the return window","format":"date-time","type":"string"}},"title":"OrderRecordLineItemReturnPolicy","type":"object","description":"OrderRecordLineItemReturnPolicy"},"OrderRecordLineItemWarranty":{"properties":{"warrantyPeriod":{"description":"Warranty period (e.g. ISO 8601 duration)","pattern":"^-?P(?:(\\d+W)|(\\d+Y)?(\\d+M)?(\\d+D)?(?:T(\\d+H)?(\\d+M)?(\\d+S)?)?)$","type":"string"},"warrantyStartDate":{"description":"Start date of the warranty","format":"date-time","type":"string"}},"title":"OrderRecordLineItemWarranty","type":"object","description":"OrderRecordLineItemWarranty"},"OrderRecordPosOrigin":{"properties":{"cashierId":{"description":"Cashier identifier","type":"string"},"terminalId":{"description":"Terminal identifier","type":"string"},"type":{"description":"Discriminator for POS origin","enum":["POS"],"type":"string"}},"required":["type"],"title":"OrderRecordPosOrigin","type":"object","description":"OrderRecordPosOrigin"},"OrderRecordPayment":{"properties":{"paymentMethod":{"description":"Payment method identifier","type":"string"},"receiptNumber":{"description":"Receipt number","type":"string"},"status":{"description":"Status of the payment","enum":["COMPLETED","FAILED","CANCELLED","REFUNDED","PARTIALLY_REFUNDED"],"type":"string"},"taxValue":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Tax portion of the payment value"},"transactionId":{"description":"Transaction identifier","type":"string"},"value":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Payment value"}},"required":["value"],"title":"OrderRecordPayment","type":"object","description":"OrderRecordPayment"},"OrderRecordMonetaryValue":{"properties":{"currency":{"description":"ISO 4217 currency code","enum":["AED","AFN","ALL","AMD","ANG","AOA","ARS","AUD","AWG","AZN","BAM","BBD","BDT","BGN","BHD","BIF","BMD","BND","BOB","BOV","BRL","BSD","BTN","BWP","BYN","BZD","CAD","CDF","CHE","CHF","CHW","CLF","CLP","CNY","COP","COU","CRC","CUC","CUP","CVE","CZK","DJF","DKK","DOP","DZD","EGP","ERN","ETB","EUR","FJD","FKP","GBP","GEL","GHS","GIP","GMD","GNF","GTQ","GYD","HKD","HNL","HTG","HUF","IDR","ILS","INR","IQD","IRR","ISK","JMD","JOD","JPY","KES","KGS","KHR","KMF","KPW","KRW","KWD","KYD","KZT","LAK","LBP","LKR","LRD","LSL","LYD","MAD","MDL","MGA","MKD","MMK","MNT","MOP","MRU","MUR","MVR","MWK","MXN","MXV","MYR","MZN","NAD","NGN","NIO","NOK","NPR","NZD","OMR","PAB","PEN","PGK","PHP","PKR","PLN","PYG","QAR","RON","RSD","RUB","RWF","SAR","SBD","SCR","SDG","SEK","SGD","SHP","SLE","SOS","SRD","SSP","STN","SVC","SYP","SZL","THB","TJS","TMT","TND","TOP","TRY","TTD","TWD","TZS","UAH","UGX","USD","USN","UYI","UYU","UYW","UZS","VED","VES","VND","VUV","WST","XAF","XAG","XAU","XBA","XBB","XBC","XBD","XCD","XDR","XOF","XPD","XPF","XPT","XSU","XTS","XUA","XXX","YER","ZAR","ZMW","ZWL"],"type":"string"},"decimalPlaces":{"description":"Number of decimal places (defaults to currency standard)","type":"integer"},"value":{"description":"The monetary value as integer","type":"integer"}},"required":["value","currency"],"title":"OrderRecordMonetaryValue","type":"object","description":"OrderRecordMonetaryValue"},"OrderRecordPricing":{"properties":{"discounts":{"description":"Discounts applied to the order","items":{"$ref":"#/components/schemas/OrderRecordDiscount"},"maxItems":100,"type":"array"},"fees":{"description":"Fees applied to the order","items":{"$ref":"#/components/schemas/OrderRecordFee"},"maxItems":100,"type":"array"},"taxes":{"description":"Tax breakdown","items":{"$ref":"#/components/schemas/OrderRecordTax"},"maxItems":100,"type":"array"},"total":{"allOf":[{"$ref":"#/components/schemas/OrderRecordPricingTotal"}],"description":"Calculated totals"}},"title":"OrderRecordPricing","type":"object","description":"OrderRecordPricing"},"OrderRecordDiscount":{"properties":{"nameLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleStringConstrained"}],"description":"Localized name of the discount"},"code":{"description":"Discount code","type":"string"},"context":{"description":"Context of the discount","type":"string"},"name":{"description":"Name of the discount","type":"string"},"tenantDiscountId":{"description":"Tenant-specific discount identifier","type":"string"},"type":{"description":"Discount type","type":"string"},"value":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Discount value"}},"required":["value"],"title":"OrderRecordDiscount","type":"object","description":"OrderRecordDiscount"},"LocaleStringConstrained":{"properties":{},"title":"LocaleStringConstrained","type":"object","description":"LocaleStringConstrained"},"OrderRecordFee":{"properties":{"name":{"description":"Name of the fee","type":"string"},"value":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Fee value"}},"title":"OrderRecordFee","type":"object","description":"OrderRecordFee"},"OrderRecordTax":{"properties":{"ratePercent":{"description":"Tax rate as a percentage","format":"float","type":"number"},"scope":{"description":"Tax scope","type":"string"},"taxableValue":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"The taxable base value"},"type":{"description":"Tax type identifier","type":"string"},"value":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Tax value"}},"required":["value"],"title":"OrderRecordTax","type":"object","description":"OrderRecordTax"},"OrderRecordPricingTotal":{"properties":{"priceBreakdown":{"allOf":[{"$ref":"#/components/schemas/OrderRecordTotals"}],"description":"Calculated price breakdown"}},"title":"OrderRecordPricingTotal","type":"object","description":"OrderRecordPricingTotal"},"OrderRecordTotals":{"properties":{"subTotal":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Subtotal before discounts, taxes, and fees","nullable":true,"type":"object"},"total":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Grand total","nullable":true,"type":"object"},"totalDiscounts":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Total discounts applied","nullable":true,"type":"object"},"totalFees":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Total fees","nullable":true,"type":"object"},"totalTaxes":{"allOf":[{"$ref":"#/components/schemas/OrderRecordMonetaryValue"}],"description":"Total taxes","nullable":true,"type":"object"}},"required":["subTotal","totalDiscounts","totalTaxes","totalFees","total"],"title":"OrderRecordTotals","type":"object","description":"OrderRecordTotals"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/orderrecords/{orderRecordId}":{"get":{"deprecated":false,"description":"This part of the API is in Alpha status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#alpha\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />Get a single order record by id","operationId":"getOrderRecord","parameters":[{"in":"path","name":"orderRecordId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderRecord"}}},"description":"The order record was found."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"The requested entity was not found"}},"summary":"Get an order record","tags":["Order Records (DOMS)"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.fulfillmenttools.com/documentation/apis/api-reference/order-records-doms.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
